Skip to main content
v1

Resize a process terminal.

POST /v1/processes/{id}/terminal/resize: request parameters and responses.

POST /v1/processes/{id}/terminal/resize

Sets the PTY window size (columns and rows) for a tty-mode process and sends SIGWINCH so the child process can adapt.

Parameters

NameInRequiredTypeDescription
idpathYesstringProcess ID

Parameter schemas

[
  {
    "name": "id",
    "in": "path",
    "description": "Process ID",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProcessTerminalResizeRequest"
  }
}

Related schemas: ProcessTerminalResizeRequest.

Responses

200

Resize accepted

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProcessTerminalResizeResponse"
  }
}

Related schemas: ProcessTerminalResizeResponse.

400

Invalid request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

404

Unknown process

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Not a terminal process

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

501

Process API unsupported on this platform

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.